Skip to content

get_bar_code_param_specificGetBarCodeParamSpecificGetBarCodeParamSpecificget_bar_code_param_specificT_get_bar_code_param_specific🔗

Short description🔗

get_bar_code_param_specificGetBarCodeParamSpecificGetBarCodeParamSpecificget_bar_code_param_specificT_get_bar_code_param_specific — Get parameters that are used by the bar code reader when processing a specific bar code type.

Signature🔗

get_bar_code_param_specific( barcode BarCodeHandle, string CodeTypes, attribute.name GenParamName, out attribute.name GenParamValue )void GetBarCodeParamSpecific( const HTuple& BarCodeHandle, const HTuple& CodeTypes, const HTuple& GenParamName, HTuple* GenParamValue )static void HOperatorSet.GetBarCodeParamSpecific( HTuple barCodeHandle, HTuple codeTypes, HTuple genParamName, out HTuple genParamValue )def get_bar_code_param_specific( bar_code_handle: HHandle, code_types: MaybeSequence[str], gen_param_name: MaybeSequence[str] ) -> Sequence[Union[float, int, str]]

def get_bar_code_param_specific_s( bar_code_handle: HHandle, code_types: MaybeSequence[str], gen_param_name: MaybeSequence[str] ) -> Union[float, int, str]Herror T_get_bar_code_param_specific( const Htuple BarCodeHandle, const Htuple CodeTypes, const Htuple GenParamName, Htuple* GenParamValue )

HTuple HBarCode::GetBarCodeParamSpecific( const HTuple& CodeTypes, const HTuple& GenParamName ) const

HTuple HBarCode::GetBarCodeParamSpecific( const HString& CodeTypes, const HString& GenParamName ) const

HTuple HBarCode::GetBarCodeParamSpecific( const char* CodeTypes, const char* GenParamName ) const

HTuple HBarCode::GetBarCodeParamSpecific( const wchar_t* CodeTypes, const wchar_t* GenParamName ) const (Windows only)

HTuple HBarCode.GetBarCodeParamSpecific( HTuple codeTypes, HTuple genParamName )

HTuple HBarCode.GetBarCodeParamSpecific( string codeTypes, string genParamName )

Description🔗

The operator get_bar_code_param_specificGetBarCodeParamSpecific allows to query parameters of a bar code model, which are of relevance for a successful search and decoding of a respective class of bar codes. Contrary to get_bar_code_paramGetBarCodeParam, get_bar_code_param_specificGetBarCodeParamSpecific allows a bar code type specific query for the following parameters. This is useful when searching different code types in one image. The bar code types are specified in CodeTypescodeTypescode_types. The names of the desired parameters are passed in the generic parameter GenParamNamegenParamNamegen_param_name and the corresponding values are returned in GenParamValuegenParamValuegen_param_value. All of these parameters can be set and changed selectively with the operator set_bar_code_param_specificSetBarCodeParamSpecific or for all bar code types with the operator set_bar_code_paramSetBarCodeParam. Which parameters are set specifically can be determined at runtime with the operator query_bar_code_paramsQueryBarCodeParams. These parameters cannot be read with get_bar_code_paramGetBarCodeParam, but must be read with get_bar_code_param_specificGetBarCodeParamSpecific.

The following parameters can be queried:

  • 'element_size_variable'"element_size_variable": Specifies if the element size varies across a single bar code.

  • 'num_scanlines'"num_scanlines": Maximum number of scanlines used during the scanning of a (candidate) bar code.

  • 'min_identical_scanlines'"min_identical_scanlines": Minimum number of decoded scanlines which return identical data to read the bar code successfully.

  • 'stop_after_result_num'"stop_after_result_num": Number of successfully decoded bar codes of the given code type after which the decoding will stop. 00 is the default where the reader tries to decode all candidates.

  • 'orientation'"orientation": Accepted orientation of the decoded bar codes.

  • 'orientation_tol'"orientation_tol": Tolerance of the accepted orientation.

  • 'quiet_zone'"quiet_zone": Quiet zone verification mode.

  • 'start_stop_tolerance'"start_stop_tolerance": Start/stop search criteria tolerance. Currently it is implemented only for Code 128 and GS1-128.

  • 'check_char'"check_char": Handling of an optional check character.

  • 'composite_code'"composite_code": Presence and type of a 2D composite code appended to the bar code.

  • 'min_code_length'"min_code_length": Minimum number of decoded characters.

  • 'max_code_length'"max_code_length": Maximum number of decoded characters.

Further details on the above parameters can be found with the description of set_bar_code_paramSetBarCodeParam operator.

Execution information🔗

Execution information
  • Multithreading type: reentrant (runs in parallel with non-exclusive operators).

  • Multithreading scope: global (may be called from any thread).

  • Processed without parallelization.

Parameters🔗

BarCodeHandlebarCodeHandlebar_code_handle (input_control) barcode → (handle)HTuple (HHandle)HBarCode, HTuple (IntPtr)HHandleHtuple (handle)

Handle of the bar code model.

CodeTypescodeTypescode_types (input_control) string(-array) → (string)HTuple (HString)HTuple (string)MaybeSequence[str]Htuple (char*)

Names of the bar code types for which parameters should be queried.

Default: 'EAN-13'"EAN-13"
List of values: '2/5 Industrial', '2/5 Interleaved', 'Codabar', 'Code 128', 'Code 39', 'Code 93', 'EAN-13 Add-On 2', 'EAN-13 Add-On 5', 'EAN-13', 'EAN-8 Add-On 2', 'EAN-8 Add-On 5', 'EAN-8', 'GS1 DataBar Expanded Stacked', 'GS1 DataBar Expanded', 'GS1 DataBar Limited', 'GS1 DataBar Omnidir', 'GS1 DataBar Stacked Omnidir', 'GS1 DataBar Stacked', 'GS1 DataBar Truncated', 'GS1-128', 'MSI', 'PharmaCode', 'UPC-A Add-On 2', 'UPC-A Add-On 5', 'UPC-A', 'UPC-E Add-On 2', 'UPC-E Add-On 5', 'UPC-E'"2/5 Industrial", "2/5 Interleaved", "Codabar", "Code 128", "Code 39", "Code 93", "EAN-13 Add-On 2", "EAN-13 Add-On 5", "EAN-13", "EAN-8 Add-On 2", "EAN-8 Add-On 5", "EAN-8", "GS1 DataBar Expanded Stacked", "GS1 DataBar Expanded", "GS1 DataBar Limited", "GS1 DataBar Omnidir", "GS1 DataBar Stacked Omnidir", "GS1 DataBar Stacked", "GS1 DataBar Truncated", "GS1-128", "MSI", "PharmaCode", "UPC-A Add-On 2", "UPC-A Add-On 5", "UPC-A", "UPC-E Add-On 2", "UPC-E Add-On 5", "UPC-E"

GenParamNamegenParamNamegen_param_name (input_control) attribute.name(-array) → (string)HTuple (HString)HTuple (string)MaybeSequence[str]Htuple (char*)

Names of the generic parameters that are to be queried for the bar code model.

Default: 'check_char'"check_char"
List of values: 'check_char', 'composite_code', 'element_size_variable', 'max_code_length', 'min_code_length', 'min_identical_scanlines', 'num_scanlines', 'orientation', 'orientation_tol', 'quiet_zone', 'start_stop_tolerance', 'stop_after_result_num'"check_char", "composite_code", "element_size_variable", "max_code_length", "min_code_length", "min_identical_scanlines", "num_scanlines", "orientation", "orientation_tol", "quiet_zone", "start_stop_tolerance", "stop_after_result_num"

GenParamValuegenParamValuegen_param_value (output_control) attribute.name(-array) → (real / integer / string)HTuple (double / Hlong / HString)HTuple (double / int / long / string)Sequence[Union[float, int, str]]Htuple (double / Hlong / char*)

Values of the generic parameters.

Result🔗

The operator get_bar_code_param_specificGetBarCodeParamSpecific returns the value 2 (H_MSG_TRUE) if the given parameters are correct. Otherwise, an exception will be raised.

Combinations with other operators🔗

Combinations

Possible predecessors

create_bar_code_modelCreateBarCodeModel, set_bar_code_paramSetBarCodeParam, set_bar_code_param_specificSetBarCodeParamSpecific

Alternatives

get_bar_code_paramGetBarCodeParam

Module🔗

Bar Code